# Get branding Retrieve the branding configuration for a workspace or organization. Pass either workspaceId or organizationId as a query parameter to specify which entity's branding to retrieve. Endpoint: GET /auth/branding/entity Version: 1.2.0 Security: ShuffllApiKey ## Query parameters: - `workspaceId` (string) ID of the workspace to retrieve branding for Example: "693fb82afd8d1c43077ba0fe" - `organizationId` (string) ID of the organization to retrieve branding for (used when no workspace is specified) Example: "693fb82afd8d1c43077ba0fb" ## Response 200 fields (application/json): - `company` (object) Company information - `company.id` (string) Company identifier Example: "shuffll" - `company.domain` (string) Company domain - `company.geoLocation` (string,null) Geographic location of company - `company.minSize` (integer,null) Minimum company size - `company.maxSize` (integer,null) Maximum company size - `company.name` (string) Company name - `isDefault` (boolean) Whether using default branding settings Example: true - `enabled` (boolean) Whether branding is enabled Example: true - `logo` (string) Path to company logo Example: "/files/platform/onboarding/logo-placeholder.svg" - `logoW` (string) Path to white version of logo Example: "/files/platform/onboarding/logo-placeholder.svg" - `colors` (object) Brand color palette - `colors.colorPrimary` (string) Primary brand color (hex) Example: "#99b898" - `colors.colorSecondary` (string) Secondary brand color (hex) Example: "#feceab" - `colors.colorExtra` (string) Extra/accent brand color (hex) Example: "#ff847c" - `colors._id` (string) Internal color palette identifier - `prompts` (array) User's saved prompts with tags and suggestions - `prompts.tag` (object) - `prompts.tag.title` (string) Prompt category title Example: "Thought Leadership Video" - `prompts.tag.id` (string) Prompt category ID Example: "Thought leadership" - `prompts.tag.text` (string) Prompt description text Example: "Describe your Thought leadership video" - `prompts.suggestions` (array) Suggested prompts for this category Example: ["Exploring Unconventional Solutions for Team Innovation"] - `about` (string) Company description used by AI when writing video scripts Example: "Acme Corp builds innovative solutions for enterprise teams." - `videoIdeas` (array) AI-generated video idea suggestions for the workspace - `videoIdeas.shortTitle` (string) - `videoIdeas.prompt` (string) - `videoIdeas.designId` (string) - `videoIdeas.designGroupId` (string) - `videoIdeas.createdAt` (string) - `videoIdeaStatus` (string) Status of the video idea generation Example: "COMPLETED" - `pronunciations` (array) Custom pronunciation settings for brand, people, and product names in AI voiceovers ## Response 401 fields (application/problem+json): - `type` (string) Example: "object" - `title` (string) Example: "Validation failed" - `message` (string) Example: "Bad Request" ## Response 404 fields (application/problem+json): - `type` (string) Example: "object" - `title` (string) Example: "Validation failed" - `message` (string) Example: "Bad Request"